QGIS Application - Bug report #14857
QGIS freezes when adding new features
2016-05-22 03:22 AM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22810
Description

QGIS 2.15.0-Master freezes for a few seconds when clicking on the 'Add Feature' icon.

History

#1 - 2016-05-22 03:22 AM - R. R.
- File 14857.mp4 added

#2 - 2016-05-22 03:29 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

- Category set to Digitising

- Status changed from Open to Feedback

Hi,

I'm also testing master on both Linux and Windows and cannot see this. Could you try with no plugins? Does it happens with any datasource or just

postgis?

#3 - 2016-05-22 03:55 AM - R. R.
- File 14857 _2.mp4 added

Hi Giovanni, I've uninstalled all third-party plugins and tested a temporary scratch layer, but QGIS still freezes in the same manner as before. OS is Ubuntu
16.04 LTS.

#4 - 2016-05-22 04:03 AM - Giovanni Manghi

Reinhard Reiterer wrote:

Hi Giovanni, I've uninstalled all third-party plugins and tested a temporary scratch layer, but QGIS still freezes in the same manner as before. OS is

Ubuntu 16.04 LTS.

tested also a temporary scratch layer here (Linux and Windows) and no issues. Could you try with a clean configpath/removing the .qgis2 folder? Thanks.

#5 - 2016-05-23 11:54 AM - R. R.
Unfortunately deleting the .qgis2 folder hasn't helped. The freezing issue still persists in master.

#6 - 2016-05-23 12:56 PM - Giovanni Manghi
- Status changed from Feedback to Open

| cannot confirm but this means nothing. I'll leave the testing to others.

#7 - 2016-06-19 01:53 AM - R. R.
- Status changed from Open to Closed

This issue is gone away in current master.

Files
14857.mp4 1.48 MB 2016-05-22 R.R.
14857_2.mp4 1.37 MB 2016-05-22 R.R.

2025-04-27

22



